package com.fs.oms.service;

import java.util.List;
import com.fs.oms.domain.OmsSupplier;
import com.fs.oms.vo.OmsProductExportVO;
import com.fs.oms.vo.OmsSupplierExportVO;
import com.fs.oms.vo.OmsSupplierListVO;

/**
 * 供应商管理Service接口
 *
 * @author fs
 * @date 2023-06-15
 */
public interface IOmsSupplierService
{
    /**
     * 查询供应商管理
     *
     * @param id 供应商管理ID
     * @return 供应商管理
     */
    public OmsSupplier selectOmsSupplierById(Long id);

    /**
     * 查询供应商管理列表
     *
     * @param omsSupplier 供应商管理
     * @return 供应商管理集合
     */
    public List<OmsSupplierListVO> selectOmsSupplierList(OmsSupplier omsSupplier);

    /**
     * 新增供应商管理
     *
     * @param omsSupplier 供应商管理
     * @return 结果
     */
    public int insertOmsSupplier(OmsSupplier omsSupplier);

    /**
     * 修改供应商管理
     *
     * @param omsSupplier 供应商管理
     * @return 结果
     */
    public int updateOmsSupplier(OmsSupplier omsSupplier);

    /**
     * 批量删除供应商管理
     *
     * @param ids 需要删除的供应商管理ID
     * @return 结果
     */
    public int deleteOmsSupplierByIds(Long[] ids);

    /**
     * 删除供应商管理信息
     *
     * @param id 供应商管理ID
     * @return 结果
     */
    public int deleteOmsSupplierById(Long id);

    /**
     * 导出供应商
     */
    List<OmsSupplierExportVO> selectSupplierExport(OmsSupplier omsSupplier);

    List<OmsSupplier> selectOmsSupplierByStatus(OmsSupplier omsSupplier);
}
